# Hush [![Build Status](https://drone.etztech.xyz/api/badges/Minecraft/Hush/status.svg)](https://drone.etztech.xyz/Minecraft/Hush)
A plugin to monitor chat for forbidden phrases.

## Watch Lists
Watch lists specifies phrases to monitor. Each watch list has an associated permission. In the form of
`hush.<list_name>`. A user with this permission will have their chat messages checked to see if 
they match the corresponding watch list. 

Watch lists contain two types of phrases, Monitored and Banned.

### Monitored
Phrases that should be checked for context. If a user says one of these phrases, a Discord webhook is
sent out.

### Banned
A banned phrase results in an immediate ban. If a user says a banned phrase, they are kicked and added
to the ban list. A webhook is also sent to Discord.

## Example Config
[Config](src/main/resources/config.yml)

## Permissions
[Permissions](src/main/resources/plugin.yml)

## License
[MIT](LICENSE)
